Bug 25161 - Kernel Compile Issues - smp_num_cpus not defined error
Summary: Kernel Compile Issues - smp_num_cpus not defined error
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-28 23:31 UTC by John Ballard
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-28 23:32:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Ballard 2001-01-28 23:31:57 UTC
make zImage
kgcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strict-aliasing -pipe 
-fno-strength-reduce -m386 -DCPU=386  -c -o init/main.o init/main.c
kgcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes 
-O2 -fomit-frame-pointer -fno-strict-aliasing -pipe -fno-strength-reduce -m386 -DCPU=386 -DUTS_MACHINE='"i386"' -c -o init/version.o 
init/version.c
make -C  kernel
make[1]: Entering directory `/usr/src/linux-2.2.16/kernel'
make all_targets
make[2]: Entering directory 
`/usr/src/linux-2.2.16/kernel'
kgcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer -fno-strict-aliasing 
-pipe -fno-strength-reduce -m386 -DCPU=386   -DEXPORT_SYMTAB -c signal.c
In file included from 
/usr/src/linux/include/linux/modversions.h:50,
                 from /usr/src/linux/include/linux/module.h:19,
                 from signal.c:10:
/usr/src/linux/include/linux/modules/i386_ksyms.ver:6: warning: `cpu_data' redefined
/usr/src/linux/include/asm/processor.h:96: warning: this 
is 
the location of the previous definition
/usr/src/linux/include/linux/modules/i386_ksyms.ver:28: warning: `smp_num_cpus' redefined
/usr/src/linux/include/linux/smp.h:77: warning: this is the location of the previous definition
/usr/src/linux/include/linux/modules/i386_ksyms.ver:118: warning: `smp_call_function' redefined
/usr/src/linux/include/linux/smp.h:83: 
warning: 
this is the location of the previous definition
kgcc -D__KERNEL__ -I/usr/src/linux/include -Wall -Wstrict-prototypes -O2 -fomit-frame-pointer 
-fno-strict-aliasing -pipe -fno-strength-reduce -m386 -DCPU=386   -DEXPORT_SYMTAB -c ksyms.c
In file included from 
/usr/src/linux/include/linux/modversions.h:50,
                 from /usr/src/linux/include/linux/module.h:19,
                 from ksyms.c:14:
/usr/src/linux/include/linux/modules/i386_ksyms.ver:6: warning: `cpu_data' redefined
/usr/src/linux/include/asm/processor.h:96: warning: this 
is 
the location of the previous definition
/usr/src/linux/include/linux/modules/i386_ksyms.ver:28: warning: `smp_num_cpus' redefined
/usr/src/linux/include/linux/smp.h:77: warning: this is the location of the previous definition
/usr/src/linux/include/linux/modules/i386_ksyms.ver:118: warning: `smp_call_function' redefined
/usr/src/linux/include/linux/smp.h:83: 
warning: 
this is the location of the previous definition
In file included from /usr/src/linux/include/linux/interrupt.h:51,
                 from ksyms.c:21:
/usr/src/linux/include/asm/hardirq.h:23: warning: `synchronize_irq' redefined
/usr/src/linux/include/linux/modules/i386_ksyms.ver:138: 
warning: 
this is the location of the previous definition
In file included from /usr/src/linux/include/linux/interrupt.h:52,
                 from ksyms.c:21:
/usr/src/linux/include/asm/softirq.h:75: warning: `synchronize_bh' redefined
/usr/src/linux/include/linux/modules/i386_ksyms.ver:142: warning: 
this is the location of the previous definition
/usr/src/linux/include/linux/kernel_stat.h: In function `kstat_irqs':
In file included from 
ksyms.c:17:
/usr/src/linux/include/linux/kernel_stat.h:47: `smp_num_cpus' undeclared (first use in this function)
/usr/src/linux/include/linux/kernel_stat.h:47: (Each undeclared identifier is reported only once
/usr/src/linux/include/linux/kernel_stat.h:47: for 
each function it appears in.)make[2]: *** [ksyms.o] Error 1
make[2]: Leaving directory `/usr/src/linux-2.2.16/kernel'
make[1]: *** [first_rule] 
Error 2
make[1]: Leaving directory `/usr/src/linux-2.2.16/kernel'
make: *** [_dir_kernel] Error 2

Comment 1 Arjan van de Ven 2001-01-29 09:59:15 UTC
You should do a "make mrproper" before building the kernel.
Be sure to save your .config file somewher, as "make mrproper" removes that as
well.
After make mrproper, just copy your .config back, do a "make oldconfig", "make
bzImage" etc.


Note You need to log in before you can comment on or make changes to this bug.